scap-as-rpm(8)

NAME
scap-as-rpm - manual page for scap-as-rpm

DESCRIPTION
usage: scap-as-rpm [-h] [--pkg-name PKG_NAME] [--pkg-version PKG_VERSION]

    [--pkg-release PKG_RELEASE] [--pkg-summary PKG_SUMMARY] [--pkg-license PKG_LICENSE] [--pkg-scap-location PKG_SCAP_LOCATION] [--rpm-destination RPM_DESTINATION] [--srpm-destination SRPM_DESTINATION] FILE [FILE ...]

Takes given SCAP input(s) and makes an RPM package that contains them. The result RPM can be installed using # yum install ./package-name-1-1.rpm which will put the contents into /usr/share/xml/scap. No dependency on openscap or scapworkbench is enforced in the output package so you can use any SCAP-capable scanner to evaluate the content.

  positional arguments:

FILE
    List of files that should be put into the result package. These should be SCAP XML files but such requirement is not enforced.

  optional arguments:

-h, --help
    show this help message and exit

--pkg-name PKG_NAME
    Name of the RPM package, if none is provided the basename of the first SCAP input is used. Ex.: xyzsecurity-guide

--pkg-version PKG_VERSION

--pkg-release PKG_RELEASE

--pkg-summary PKG_SUMMARY
    Optional short description of the package.

--pkg-license PKG_LICENSE
    Short name of the license that you want to publish the package under. Ex.: GPLv2+, BSD, ...

--pkg-scap-location PKG_SCAP_LOCATION
    Folder where SCAP files are supposed to be installed. Each package will have its own folder inside this folder. RPM variables can be used and will be expanded as usual. It is recommended to keep the default settings.

--rpm-destination RPM_DESTINATION
    The folder (absolute or relative to CWD) where the result RPM shall be saved.

--srpm-destination SRPM_DESTINATION
    The folder (absolute or relative to CWD) where the result SRPM shall be saved.